Beta {base} | R Documentation

## The Beta Distribution

### Description

Density, distribution function, quantile function and random generation for the Beta distribution with parameters `shape1` and `shape2` (and optional non-centrality parameter `ncp`).

### Usage

    dbeta(x, shape1, shape2, ncp=0, log = FALSE)
    pbeta(q, shape1, shape2, ncp=0, lower.tail = TRUE, log.p = FALSE)
    qbeta(p, shape1, shape2,        lower.tail = TRUE, log.p = FALSE)
    rbeta(n, shape1, shape2)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1`, the length is taken to be the number required.
`shape1, shape2` | positive parameters of the Beta distribution.
`ncp` | non-centrality parameter.
`log, log.p` | logical; if TRUE, probabilities p are given as log(p).
`lower.tail` | logical; if TRUE (default), probabilities are P[X <= x], otherwise, P[X > x].

### Details

The Beta distribution with parameters `shape1` = a and `shape2` = b has density

Gamma(a+b)/(Gamma(a)Gamma(b))x^(a-1)(1-x)^(b-1)

for a > 0, b > 0 and 0 < x < 1.

### Value

`dbeta` gives the density, `pbeta` the distribution function, `qbeta` the quantile function, and `rbeta` generates random deviates.

### See Also

`beta` for the Beta function, and `dgamma` for the Gamma distribution.

### Examples

    x <- seq(0, 1, length=21)
    dbeta(x, 1, 1)
    pbeta(x, 1, 1)

[Package Contents]